Installation AMC sur un mac M1

Added by Antoine Bluheim almost 2 years ago

Bonjour,

Avant de changer mon macbook pro qui commence à se faire vieux pour un nouveau Mac M1, je voulais savoir si des personnes avaient réussi à installer AMC "facilement" sur ce genre de machine maintenant qu'elles sont dispo pour le grand public.

Merci pour vos retours!
Antoine


Replies (140)

RE: Installation AMC sur un mac M1 - Added by Alexis Bienvenüe 7 months ago

Comment avez-vous installé le paquet auto-multiple-choice-common ? Avez-vous installé le PPA test ?

RE: Installation AMC sur un mac M1 - Added by JULIEN SCHNEIDER 7 months ago

J'ai utilisé la commande suivante : sudo apt-get install auto-multiple-choice-common.

RE: Installation AMC sur un mac M1 - Added by Alexis Bienvenüe 7 months ago

Pouvez-vous essayer de supprimer auto-multiple-choice-common, puis installer auto-multiple-choice ?
Pouvez-vous également me faire une copie de tout ce qui est renvoyé par "sudo apt update", depuis la commande elle-même jusqu'à l'invite de commande suivante ? Il semble y avoir des erreurs bizarres.

RE: Installation AMC sur un mac M1 - Added by JULIEN SCHNEIDER 7 months ago

Merci pour votre aide. J'ai désinstallé la version common. Quand je tente d'installer en tapant sudo apt-get install auto-multiple-choice, j'ai un message d'erreur que je vous mets en pièce-jointe. Quant à sudo apt update, tout semble à jour.

RE: Installation AMC sur un mac M1 - Added by Alexis Bienvenüe 7 months ago

des paquets défectueux sont en mode « garder en l'état »

Pouvez-vous essayer avec les commandes suivantes ?

echo "auto-multiple-choice install" | sudo dpkg --set-selections
echo "auto-multiple-choice-common install" | sudo dpkg --set-selections
sudo apt install

RE: Installation AMC sur un mac M1 - Added by Alexis Bienvenüe 7 months ago

Mouais… je ne sais pas trop. Et maintenant

sudo apt install auto-multiple-choice

RE: Installation AMC sur un mac M1 - Added by JULIEN SCHNEIDER 7 months ago

Rien n'y fait malheureusement. Encore merci pour le temps que vous y avez passé.

RE: Installation AMC sur un mac M1 - Added by Alexis Bienvenüe 7 months ago

Ce sont les paquets en mode « garder en l'état » qui m'intriguent. Pouvez-vous nous donner le résultat de la commande suivante pour en avoir la liste ?

dpkg -l | grep "^hi"

RE: Installation AMC sur un mac M1 - Added by JULIEN SCHNEIDER 7 months ago

Bonjour, cela ne renvoie rien.

RE: Installation AMC sur un mac M1 - Added by Hervé Cabaud 7 months ago

j'ai eu les mêmes message sur mon macbook M1 avec ubuntu. ( par "l'émulateur" UTM)
En ajoutant les dépots , j'ai pu installer la version 1.5 , mais j'ai eu le message pour common.
Il y a semble qu'il y ait un décalage entre la version ARM de la logithèque Ubuntu ( 1.4) et la version des dépôts ajoutés ( 1.5) .
Pourtant , cela semble fonctionner, j'ai imprimé un sujet, que je n'ai pas encore testé. Je ne pourrais essayer que lundi prochain.

RE: Installation AMC sur un mac M1 - Added by Alexis Bienvenüe 7 months ago

Argl je n'avais pas vu que la version arm64 (je pense que c'est ce qui correspond aux M1 ?) n'est pas compilée par défaut sur les PPA. J'ai maintenant activé l'architecture arm64 pour le dépôt PPA test d'AMC. Peut-être que ça va arranger les choses ?

sudo apt update
sudo apt install auto-multiple-choice

RE: Installation AMC sur un mac M1 - Added by JULIEN SCHNEIDER 7 months ago

Cela semble fonctionner ! Merci beaucoup !

RE: Installation AMC sur un mac M1 - Added by Hervé Cabaud 7 months ago

bon , de retour sur le Mac M1 avec Ubuntu 20, c'est mon tour d'avoir des soucis :
je n'arrive pas à installer auto-multiple-choice complètement : j'ai le message : auto-multiple-choice-common est installé mais pas auto-multiple-choice
et à force de jouer avec les dépôts, j'ai du faire des bêtises.
j'ai :
@sudo apt-get install auto-multiple-choice
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
auto-multiple-choice : Dépend: libopencv-imgcodecs4.2 (>= 4.2.0+dfsg) mais ne sera pas installé
Dépend: auto-multiple-choice-common (= 1.4.0-4ubuntu1) mais 1.5.2+git2022-02-09-1~focal1 devra être installé
Recommande: auto-multiple-choice-doc (= 1.4.0-4ubuntu1) mais 1.5.2+git2022-02-09-1~focal1 devra être installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

j'ai Trois dépôts bienvenus ;) : AMC, AMC-stable et test
lequel dois-je garder ?
Merci

RE: Installation AMC sur un mac M1 - Added by Xavier Jeanneret 6 months ago

Un grand merci à Alexis Bienvenüe et aux autres contributeurs, j'ai réinstallé Texlive (version 2021), la dernière version d'Homebrew puis AMC. Tout fonctionne de nouveau, c'est rapide et parfaitement fonctionnel. Que du bonheur !
Ça valait le coup de patienter !!!

« Previous 1 ... 4 5 6 (126-140/140)